Go to the latest version of this document.

# ``twisted`.`internet`.`iocpreactor`.`interfaces`.`IWriteHandle``

interface documentation

`class IWriteHandle(Interface): (source)`

Known subclasses: `twisted.internet.iocpreactor.interfaces.IReadWriteHandle`

View In Hierarchy

Undocumented

Method | `writeToHandle` | Write the given buffer to this handle.

def writeToHandle(buff, evt): (source)

Write the given buffer to this handle.

Parameters
buff:any object implementing the buffer protocol | the buffer to write
evt | an IOCP Event object

Returns
tuple (return code, number of bytes written)